SRSLY?

I just logged on for the first time to my entirely online Sociology class. This is one of the first things I saw:

So which browser should I use? How far back should I go?
Ah, I found mention that it won’t work with Firefox 10. But Firefox 9 was last built December 2011. Gulp.
Moving on…

One Comment

  1. Michael says:

    I have gotten so jaded about the online systems the community colleges around here seem to use that this doesn’t surprise me in the least. I have found that it’s worth trying the site with your preferred browser, because the bugs are usually not all that big a deal.

Leave a Comment

Do not write "http://" in your comment, it will be blocked. It may take a few days for me to manually approve your first comment.

You can edit your comment after submitting it.